Configuration (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.config
Interface Configuration

All Known Subinterfaces:
  DependencyParserConfig

All Known Implementing Classes:
  SingleMalt

    public interface Configuration

Author:
  Johan Hall

Method Summary
`org.apache.log4j.Logger` | `getConfigLogger()`
`ConfigurationDir` | `getConfigurationDir()`
`Object` | `getOptionValue(String optiongroup, String optionname)`
`String` | `getOptionValueString(String optiongroup, String optionname)`
`ConfigurationRegistry` | `getRegistry()`
`SymbolTableHandler` | `getSymbolTables()`
`void` | `setConfigLogger(org.apache.log4j.Logger logger)`
`void` | `setConfigurationDir(ConfigurationDir configDir)`

Method Detail

### getConfigurationDir

    ConfigurationDir getConfigurationDir()

### setConfigurationDir

    void setConfigurationDir(ConfigurationDir configDir)

### getConfigLogger

    org.apache.log4j.Logger getConfigLogger()

### setConfigLogger

    void setConfigLogger(org.apache.log4j.Logger logger)

### getSymbolTables

    SymbolTableHandler getSymbolTables()

### getRegistry

    ConfigurationRegistry getRegistry()

### getOptionValue

    Object getOptionValue(String optiongroup,
                          String optionname)
                          throws MaltChainedException

  Throws:
    `MaltChainedException`

### getOptionValueString

    String getOptionValueString(String optiongroup,
                                String optionname)
                                throws MaltChainedException

  Throws:
    `MaltChainedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.